For AI agents: a documentation index is available at https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/llms.txt. Markdown versions of each page are available by sending an Accept: text/markdown header, or by appending .md to the page URL.

Do not miss any iFormBuilder V60 API changes, ever again

Subscribe to the iFormBuilder V60 API changelog to be up to date on recent changes.

RSS

Oct 9, 2026

main
1.0.0
Compare

API structure has changed

165 structure changes including:
18 Breaking changes
2 Additions
162 Modifications
1 Removal
Modified 162 Breaking
PUT /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists/{optionlist_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/page_groups
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/page_groups/{page_group_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_group_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/email_alerts
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/http_callbacks
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/records
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/shared_page
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id, is_group properties Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments/{user_id} to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id} (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id, is_group properties Added
  • Path
  • user_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/user_groups/{user_group_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id, is_disabled properties Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/record_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments to /profiles/{profile_id}/users/{user_id}/record_assignments (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id, page_id, record_id properties Added
  • Path
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id} to /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id} (same operationId)
    Breaking
  • Path
  • user_id path parameter Modified
    • Type went from number to string
      Breaking
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • assignment_id path parameter Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id, page_id, record_id properties Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /server_region
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /token
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/notifications
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/optionlists
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/shared_page
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/records
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/shared_page
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments/{user_id} to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id} (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • user_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/pages/{page_id}/trigger_posts
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/user_groups
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
POST /profiles/{profile_id}/users/{user_id}/record_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments to /profiles/{profile_id}/users/{user_id}/record_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id, username properties Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id, record_id properties Added
  • Response
  • 201 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id property Added
  • Path
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/company_info
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/page_groups/{page_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
PUT /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/email_alerts
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/record_assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/shared_page
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments/{user_id} to /profiles/{profile_id}/user_groups/{user_group_id}/page_assignments/{page_id} (same operationId)
    Breaking
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • user_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/user_groups/{user_group_id}/users (same operationId)
    Breaking
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_group_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/user_groups/{user_group_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/assignments to /profiles/{profile_id}/users/{user_id}/page_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • page_id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • page_id property Added
  • Path
  • page_id path parameter Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/page_assignments/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/page_groups/{page_group_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/dynamic_attributes/{dynamic_attribute}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/email_alerts
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/feed
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/http_callbacks/{http_callback_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/record_assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages/{page_id}/records/{record_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments to /profiles/{profile_id}/users/{user_id}/record_assignments (same operationId)
    Breaking
  • Body
  • application/json content type Modified
    • user_id property Removed
      • Removing a resource is always breaking unless it was deprecated before
        Breaking
    • id property Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id property Added
  • Path
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • user_id path parameter Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
DELETE /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id}
  • Path went from /profiles/{profile_id}/pages/{page_id}/records/{record_id}/assignments/{user_id} to /profiles/{profile_id}/users/{user_id}/record_assignments/{assignment_id} (same operationId)
    Breaking
  • Path
  • user_id path parameter Modified
    • Type went from number to string
      Breaking
  • page_id, record_id path parameters Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • assignment_id path parameter Added
  • Response
  • 200 response Modified
    • application/json content type Modified
      • user_id property Removed
        • Removing a resource is always breaking unless it was deprecated before
          Breaking
      • id property Added
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/company_info
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/licenses
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/licenses/{license_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/media?URL={media_url}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/optionlists/{optionlist_id}/options/{option_id}/localizations/{language_code}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}/assignments/{user_id}
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/page_groups/{page_group_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
GET /profiles/{profile_id}/pages
  • Authentication
  • Bearer auth authentication method Removed
    • Removing a resource is always breaking unless it was deprecated before
      Breaking
  • Oauth2 authentication method Added
Removed 1 Breaking
Bearer auth authentication method
  • Removing a resource is always breaking unless it was deprecated before
    Breaking
Added 2
POST /oauth/token
Oauth2 authentication method